Skip to content

List current-user inbox notifications.

GET
/api/workspace/notifications/inbox
curl --request GET \
--url 'https://example.com/api/workspace/notifications/inbox?state=0&severity=0' \
--header 'Authorization: Bearer <token>'
state

Inbox list state filter.

integer format: int32
Allowed values: 0 1 2 3 4

Inbox list state filter.

pageSize
integer format: int32
cursor
string
severity
integer format: int32
Allowed values: 0 1 2 3
typeKey
string
sourceModuleKey
string
searchText
string
fromUtc
string format: date-time
toUtc
string format: date-time
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Notification inbox page.

object
Items
Array<object>
nullable

One durable notification in the current user’s inbox.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2 3
SourceModuleKey
string
nullable
SourceKind
string
nullable
SourceId
string
nullable
Title
string
nullable
Body
string
nullable
Link

Resolved structured navigation link for a notification.

object
State
integer format: int32
Allowed values: 0 1 2 3 4
Resource

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
MessageCode
string
nullable
OccurredAtUtc
string format: date-time
CreatedAtUtc
string format: date-time
ReadAtUtc
string format: date-time
nullable
ArchivedAtUtc
string format: date-time
nullable
ExpiresAtUtc
string format: date-time
nullable
NextCursor
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Severity": 0,
"Link": {
"State": 0
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Notification inbox page.

object
Items
Array<object>
nullable

One durable notification in the current user’s inbox.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2 3
SourceModuleKey
string
nullable
SourceKind
string
nullable
SourceId
string
nullable
Title
string
nullable
Body
string
nullable
Link

Resolved structured navigation link for a notification.

object
State
integer format: int32
Allowed values: 0 1 2 3 4
Resource

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
MessageCode
string
nullable
OccurredAtUtc
string format: date-time
CreatedAtUtc
string format: date-time
ReadAtUtc
string format: date-time
nullable
ArchivedAtUtc
string format: date-time
nullable
ExpiresAtUtc
string format: date-time
nullable
NextCursor
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Severity": 0,
"Link": {
"State": 0
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}